<?php
namespace Ak\Woo\Plugin;

use Ak\Wp\Plugin\PluginInterface;
use Automatic_Upgrader_Skin;
use Language_Pack_Upgrader;

/**
 * Class Installer
 *
 * @package Ak\Woo\Plugin
 */
final class Installer implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function attach(): void
    {
        if (!did_action('woocommerce_loaded')) {
            add_action('template_redirect', [$this, 'install_woocommerce']);
        }
    }

    /**
     * Instalira WooCommerce.
     */
    public function install_woocommerce()
    {
        if (!did_action('woocommerce_loaded')) {
            require_once ABSPATH . '/wp-admin/includes/plugin.php';

            activate_plugin('woocommerce/woocommerce.php');

            $upgrader = new Language_Pack_Upgrader(new Automatic_Upgrader_Skin());
            $upgrader->bulk_upgrade();

            wp_redirect($_SERVER['REQUEST_URI']);
        }
    }
}