<?php
namespace AkTest\Woo;

use Ak\Wp\ConfigProvider;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

class TestConfigProvider
{
    public function __invoke()
    {
        return (new ConfigAggregator([
            \Ak\Db\ConfigProvider::class,
            \Ak\Test\ConfigProvider::class,
            ConfigProvider::class,

            new ArrayProvider([
                'db' => [
                    'default_adapter' => 'db.adapter.mysql',

                    'adapters' => [
                        'db.adapter.mysql' => [
                            'database' => 'test_woo',
                        ],
                    ],
                ],
            ]),
        ]))->getMergedConfig();
    }
}
